# Function

## The FunctionInfo object

- [function/object.md](function/object.md)

## Endpoints

### Get a function

- [GET /api/2.1/unity-catalog/functions/{full_name_arg}](get-function.md)

### List functions

- [GET /api/2.1/unity-catalog/functions](list-functions.md)

### Create a function

- [POST /api/2.1/unity-catalog/functions](create-function.md)

### Update a function

- [PATCH /api/2.1/unity-catalog/functions/{full_name_arg}](update-function.md)

### Delete a function

- [DELETE /api/2.1/unity-catalog/functions/{full_name_arg}](delete-function.md)

